Status: Resolved Priority: Must have
Author: Marc Neuhaus Category: Property
Created: 2012-08-01 Assigned To: Marc Neuhaus
Updated: 2013-04-02 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.2 (master)
Subject: PropertyMapper chokes on Objects that are already converted inside an collection
Description

The PropertyMapper still chokes on objects which are already converted if it's inside an collection/array.

The PropertyMapper should skip the mapping if the source is already an instance of the target.

Subtasks:
Bug # 44214: PropertyMapper chokes on Objects that are already converted inside an coll... Resolved
Related issues:
related to TYPO3.Flow - Bug # 36988: PropertyMapper chokes on Objects that ar... Resolved 2012-12-25

Associated revisions
Revision 8ac03660 - 2012-08-11 16:54 - Marc Neuhaus

[BUGFIX] PropertyMapper should be able to work with recursive already-converted objects

If f.e. an array of already converted objects is passed into the PropertyMapper, a fatal error
will be thrown.

Thus, we move the check from convert() to doMapping() such that it works recursively.

Change-Id: I67fe649c1ee15d38a277227dc353844c0fb17b4b
Resolves: #39445
Releases: 1.2

History
#1 - 2012-08-01 14:14 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13404

#2 - 2012-08-11 16:53 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13404
#3 - 2012-08-11 16:54 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13404

#4 - 2012-08-11 17:35 - Marc Neuhaus
- Status changed from Under Review to Resolved

Applied in changeset commit:8ac03660b9c5835d67f9f514b3035fa2e9eb2dd5.
